Bug 5646 - translated message names on sql level break messaging
Summary: translated message names on sql level break messaging
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: rel_3_2
Hardware: All All
: PATCH-Sent (DO NOT USE) critical (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on: 5889
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-21 12:27 UTC by Katrin Fischer
Modified: 2019-06-27 09:24 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (3.69 KB, patch)
2011-01-21 13:04 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-01-21 12:27:24 UTC
If you tranlate the message names in the installer sql files your messages will stop working, because the code relies on those have a specific value.

- advance_notices.pl
- C4/Members/Messaging.pm
- C4/Form/MessagingPreferences.pm

...

In C4/Members/Messaging.pm I found following lines:
47   my $preferences = C4::Members::Messaging::GetMessagingPreferences( { borrowernumber => $borrower->{'borrowernumber'},
48   message_name   => 'DUE' } ); 
50   my $preferences = C4::Members::Messaging::GetMessagingPreferences( { categorycode => 'LIBRARY',
51  message_name   => 'DUE' } );

We don't have DUE as a message name in the en file. Bug?

Patch will undo my translation and other people's translations of those values.

This means message names in borrower category and borrower account are not translatable at the moment. I think we need to change the templates to make them translatable?
Comment 1 Katrin Fischer 2011-01-21 13:04:28 UTC
Created attachment 3015 [details] [review]
proposed patch
Comment 2 Katrin Fischer 2011-01-21 13:57:07 UTC
Ok, the 'DUE' appears only in the POD - so this is not a real bug. So we can ignore that.

But translating those messages is still a really bad idea.
Comment 3 MJ Ray (software.coop) 2011-02-02 08:51:58 UTC
This bug is mentioned in:
Bug 5646: Translated sql files break	messaging http://lists.koha-community.org/pipermail/koha-patches/2011-January/013690.html
Bug 5646: Translated sql files break	messaging http://lists.koha-community.org/pipermail/koha-patches/2011-January/013691.html
Comment 4 Paul Poulain 2011-03-15 14:08:20 UTC
Katrin/Julian = Sophie (BibLibre) has improved Koha to have extended messaging be translatable. Julian, pls search on git.biblibre.com, it has be done last week
Comment 5 Chris Cormack 2011-03-17 01:29:16 UTC
Paul, does the sign off still hold then?
Comment 6 Paul Poulain 2011-03-17 08:03:18 UTC
OK, sorry, more explanations needed...

The description of advanced notices in SQL is meaningfull for Koha. Thus, the way Katrin solved the problem in a previous patch was wrong.
This patch is a kind of "revert" or another one, solving the functionnal problem (ie: adv notices now work again for german), but not the translation problem.
Sophie worked recently on a patch that solves the translation problem correctly.

So:
1- yes, pls apply this patch
2- when we will submit our patch, it will be relevant

I hope it's more understandable now !
Comment 7 Julian Maurice 2011-03-17 09:48:16 UTC
I submitted the patch from BibLibre. (Bug 5889)
Comment 8 Chris Cormack 2011-03-17 20:28:27 UTC
Patch pushed, please test
Comment 9 MJ Ray (software.coop) 2011-04-06 13:52:28 UTC
This bug is mentioned in:
Bug 5646: Translated sql files	break messaging http://lists.koha-community.org/pipermail/koha-patches/2011-March/014056.html